Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.plugin
Class FormatAdapter

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder
          com.sun.tdk.signaturetest.sigfile.Format
              com.sun.tdk.signaturetest.sigfile.f40.F40Format
                  com.sun.tdk.signaturetest.sigfile.f41.F41Format
                      com.sun.tdk.signaturetest.sigfile.f42.F42Format
                          com.sun.tdk.signaturetest.plugin.FormatAdapter

    public class FormatAdapter

extends F42Format

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`FeaturesHolder.Feature`

Field Summary
`protected Reader` | `reader`
`protected Writer` | `writer`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.f41.F41Format
`X_CLASSES, X_FIELDS`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.f40.F40Format
`HIDDEN_CLASSES, HIDDEN_FIELDS`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.Format
`VERSION`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`BuildMembers, ConstInfo, CopyRight, ListOfHiders, MergeModeSupported, NonStaticConstants, OuterClasses, TigerInfo, XHiders`

Constructor Summary
`FormatAdapter(java.lang.String signature)`

Method Summary
`void` | `addSupportedFeature(FeaturesHolder.Feature feature)`
`Reader` | `getReader()`
`java.lang.String` | `getVersion()`
`Writer` | `getWriter()`
`protected void` | `init()`
`void` | `removeSupportedFeature(FeaturesHolder.Feature feature)`
`void` | `setReader(Reader r)`
`void` | `setWriter(Writer w)`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.Format
`isApplicable`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`getSupportedFeatures, isFeatureSupported, isInitialized, retainFeatures, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected Reader reader

### writer

    protected Writer writer

Constructor Detail

### FormatAdapter

    public FormatAdapter(java.lang.String signature)

Method Detail

### getVersion

    public java.lang.String getVersion()

  Overrides:
    `getVersion` in class `F42Format`

### getReader

    public Reader getReader()

  Overrides:
    `getReader` in class `F42Format`

### getWriter

    public Writer getWriter()

  Overrides:
    `getWriter` in class `F42Format`

### setReader

    public void setReader(Reader r)

### setWriter

    public void setWriter(Writer w)

### init

    protected void init()

### addSupportedFeature

    public void addSupportedFeature(FeaturesHolder.Feature feature)

  Overrides:
    `addSupportedFeature` in class `FeaturesHolder`

### removeSupportedFeature

    public void removeSupportedFeature(FeaturesHolder.Feature feature)

  Overrides:
    `removeSupportedFeature` in class `FeaturesHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD